#include<bits/stdc++.h>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	int n;
	cin >> n;
	int ep[n],rec[n],sc[n];
	for(int i = 0; i < n;i++){cin >> ep[i];}
	for(int i = 0; i < n;i++){cin >> rec[i];}
	for(int i = 0; i < n;i++){cin >> sc[i];}
	int x = 0;
	for(int i = 0; i < n;i++)
	{
		for(int j = 0 ; j < n;j++)
		{
			if(rec[j] == ep[i])
			{
				for(int u = 0; u < n;u++)
				{
					if(sc[u] == j+1) x++;
				}
			}
		}
	}
	cout << x;
}